# Contributing to Jackrabbit Relay

This project would not be where it is without the many contributions of its supporters. Contributions can be any of the below:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features

## We Develop with Github

We use github to host code, to track issues and feature requests, as well as accept pull requests.

## We Use [Github Flow](https://guides.github.com/introduction/flow/index.html), So All Code Changes Happen Through Pull Requests

Pull requests are the best way to propose changes to the codebase (we use [Github Flow](https://guides.github.com/introduction/flow/index.html)). We actively welcome your pull requests:

1. Fork the repo and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. Issue that pull request!
7. ALL code goes through extensive evaluation before final approval/rejection.

## Any contributions you make will be under the GNU Lesser Public License

In short, when you submit code changes, your submissions are understood to be under the same license. Feel free to contact the maintainers if that's a concern.

## Report bugs using Github's [issues](https://github.com/rapmd73/JackrabbitRelay/issues)

We use GitHub issues to track public bugs. Report a bug by [opening a new issue](); it's that easy!

## Write bug reports with detail, background, and sample code

Please besure to provide as much information as posible to be able to reproduce the bug consistently.

**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can. 
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

## License

By contributing, you agree that your contributions will be licensed under its GNU Lesser Public License.
